Bio::Tools::Run::PiseApplication::lgicsearch(3)

NAME
Bio::Tools::Run::PiseApplication::lgicsearch

SYNOPSIS
  #

DESCRIPTION
Bio::Tools::Run::PiseApplication::lgicsearch

      Bioperl class for:

        LGIC    Search LGIC databases (Le Novere, Changeux)

        References:

                Nicolas LE NOVERE and Jean-Pierre CHANGEUX (1999). The Ligand-Gated Ion Channel database. Nucleic Acid Research, 27 : 340-342

      Parameters:

        (see also:
          http://bioweb.pasteur.fr/seqanal/interfaces/lgicsearch.html
         for available values):

                lgicsearch (Excl)
                        Fasta program

                query (Sequence)
                        Query sequence File

                seqtype (Excl)
                        Is it a DNA or protein sequence

                protein_db (Excl)
                        Protein Database

                nucleotid_db (Excl)
                        Nucleotid Database

                ktup (Integer)

                threeframe (Switch)
                        (tfasta only) only the three forward frames are searched

                txtoutput (String)

                lgicdbf2h (Switch)

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  bioperl-bugs@bioperl.org
  http://bioperl.org/bioperl-bugs/

AUTHOR
Catherine Letondal (letondal@pasteur.fr)

COPYRIGHT
Copyright (C) 2003 Institut Pasteur & Catherine Letondal. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

DISCLAIMER
This software is provided "as is" without warranty of any kind.

SEE ALSO

•   http://bioweb.pasteur.fr/seqanal/interfaces/lgicsearch.html

•   Bio::Tools::Run::PiseApplication

•   Bio::Tools::Run::AnalysisFactory::Pise

•   Bio::Tools::Run::PiseJob

  new
 Title   : new()
 Usage   : my $lgicsearch = Bio::Tools::Run::PiseApplication::lgicsearch->new($location, $email, @params);
 Function: Creates a Bio::Tools::Run::PiseApplication::lgicsearch object.
           This method should not be used directly, but rather by
           a Bio::Tools::Run::AnalysisFactory::Pise instance.
           my $factory = Bio::Tools::Run::AnalysisFactory::Pise->new();
           my $lgicsearch = $factory->program('lgicsearch');
 Example : -
 Returns : An instance of Bio::Tools::Run::PiseApplication::lgicsearch.